<?php

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

class Elementor_Breadcrumb_Widget extends Widget_Base
{

    public function get_name()
    {
        return 'breadcrumb_widget';
    }

    public function get_title()
    {
        return __('Breadcrumb', 'elementor-breadcrumb');
    }

    public function get_icon()
    {
        return 'eicon-navigation';
    }

    public function get_categories()
    {
        return ['general'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'content_section',
            [
                'label' => __('Content', 'elementor-breadcrumb'),
                'tab' => Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'delimiter',
            [
                'label' => __('Delimiter', 'elementor-breadcrumb'),
                'type' => Controls_Manager::TEXT,
                'default' => '/',
            ]
        );

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $delimiter = $settings['delimiter'];
        echo do_shortcode("[breadcrumb delimiter='{$delimiter}']");
    }

    protected function _content_template()
    {
?>
        <# var delimiter=settings.delimiter; #>
            <div class="breadcrumb">
                <?php echo do_shortcode("[breadcrumb delimiter='{{ delimiter }}']"); ?>
            </div>
    <?php
    }
}
    ?>